scala.tools.nsc

# OfflineCompilerCommand

#### class OfflineCompilerCommand extends CompilerCommand

A compiler command for the offline compiler.

Source
  OfflineCompilerCommand.scala

Linear Supertypes
CompilerCommand, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. OfflineCompilerCommand
2. CompilerCommand
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new OfflineCompilerCommand(arguments: List[String], settings: FscSettings)

### Type Members

1. #### type Setting = Settings.Setting

   Definition Classes
     CompilerCommand

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from OfflineCompilerCommand to any2stringadd[OfflineCompilerCommand] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (OfflineCompilerCommand, B)

   Implicit information
     This member is added by an implicit conversion from OfflineCompilerCommand to ArrowAssoc[OfflineCompilerCommand] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def cmdDesc: String

   A descriptive alias for version and help messages.

   A descriptive alias for version and help messages.

   Definition Classes
     CompilerCommand

9. #### def cmdName: String

   The name of the command.

   The name of the command.

   Definition Classes
     OfflineCompilerCommand → CompilerCommand

10. #### def createUsageMsg(label: String, shouldExplain: Boolean, cond: (Setting) ⇒ Boolean): String

    Definition Classes
      CompilerCommand

11. #### def createUsageMsg(cond: (Setting) ⇒ Boolean): String

    Creates a help message for a subset of options based on cond

    Creates a help message for a subset of options based on cond

    Definition Classes
      CompilerCommand

12. #### def ensuring(cond: (OfflineCompilerCommand) ⇒ Boolean, msg: ⇒ Any): OfflineCompilerCommand

    Implicit information
      This member is added by an implicit conversion from OfflineCompilerCommand to Ensuring[OfflineCompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (OfflineCompilerCommand) ⇒ Boolean): OfflineCompilerCommand

    Implicit information
      This member is added by an implicit conversion from OfflineCompilerCommand to Ensuring[OfflineCompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): OfflineCompilerCommand

    Implicit information
      This member is added by an implicit conversion from OfflineCompilerCommand to Ensuring[OfflineCompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): OfflineCompilerCommand

    Implicit information
      This member is added by an implicit conversion from OfflineCompilerCommand to Ensuring[OfflineCompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def expandArg(arg: String): List[String]

    Expands all arguments starting with @ to the contents of the file named like each argument.

    Expands all arguments starting with @ to the contents of the file named like each argument.

    Definition Classes
      CompilerCommand

19. #### def extraFscArgs: collection.immutable.List[String]

20. #### def files: List[String]

    Definition Classes
      CompilerCommand

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from OfflineCompilerCommand to StringFormat[OfflineCompilerCommand] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def getInfoMessage(global: Global): String

    Definition Classes
      CompilerCommand

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def ok: Boolean

    Definition Classes
      CompilerCommand

31. #### def processArguments: (Boolean, List[String])

    Definition Classes
      CompilerCommand

32. #### val settings: Settings

    Definition Classes
      CompilerCommand

33. #### def shortUsage: String

    Definition Classes
      CompilerCommand

34. #### def shouldProcessArguments: Boolean

    Definition Classes
      CompilerCommand

35. #### def shouldStopWithInfo: Boolean

    For info settings, compiler should just print a message and quit.

    For info settings, compiler should just print a message and quit.

    Definition Classes
      CompilerCommand

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### def usageMsg: String

    Messages explaining usage and options

    Messages explaining usage and options

    Definition Classes
      OfflineCompilerCommand → CompilerCommand

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### def xusageMsg: String

    Definition Classes
      CompilerCommand

43. #### def yusageMsg: String

    Definition Classes
      CompilerCommand

44. #### def →[B](y: B): (OfflineCompilerCommand, B)

    Implicit information
      This member is added by an implicit conversion from OfflineCompilerCommand to ArrowAssoc[OfflineCompilerCommand] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CompilerCommand

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from OfflineCompilerCommand to any2stringadd[OfflineCompilerCommand]

### Inherited by implicit conversion StringFormat from OfflineCompilerCommand to StringFormat[OfflineCompilerCommand]

### Inherited by implicit conversion Ensuring from OfflineCompilerCommand to Ensuring[OfflineCompilerCommand]

### Inherited by implicit conversion ArrowAssoc from OfflineCompilerCommand to ArrowAssoc[OfflineCompilerCommand]

### Ungrouped